Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Class PKIXCertPathValidatorResult

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.PKIXCertPathValidatorResult

All Implemented Interfaces:
  CertPathValidatorResult, java.lang.Cloneable

Direct Known Subclasses:
  PKIXCertPathBuilderResult

public class PKIXCertPathValidatorResult
extends java.lang.Object
implements CertPathValidatorResult

This class represents the successful result of the PKIX certification path validation algorithm.
Instances of `PKIXCertPathValidatorResult` are returned by the `validate` method of `CertPathValidator` objects implementing the PKIX algorithm.
All `PKIXCertPathValidatorResult` objects contain the valid policy tree and subject public key resulting from the validation algorithm, as well as a `TrustAnchor` describing the certification authority (CA) that served as a trust anchor for the certification path.
Concurrent Access
Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See Also:
  `CertPathValidatorResult`

Constructor Summary
`PKIXCertPathValidatorResult(TrustAnchor trustAnchor, PolicyNode policyTree, java.security.PublicKey subjectPublicKey)` Creates an instance of `PKIXCertPathValidatorResult` containing the specified parameters.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`PolicyNode` | `getPolicyTree()` Returns the root node of the valid policy tree resulting from the PKIX certification path validation algorithm.
`java.security.PublicKey` | `getPublicKey()` Returns the public key of the subject (target) of the certification path, including any inherited public key parameters if applicable.
`TrustAnchor` | `getTrustAnchor()` Returns the `TrustAnchor` describing the CA that served as a trust anchor for the certification path.
`java.lang.String` | `toString()` Return a printable representation of this `PKIXCertPathValidatorResult`.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKIXCertPathValidatorResult

    public PKIXCertPathValidatorResult(TrustAnchor trustAnchor,
                                       PolicyNode policyTree,
                                       java.security.PublicKey subjectPublicKey)

  Creates an instance of `PKIXCertPathValidatorResult` containing the specified parameters.
  Parameters:
    `trustAnchor` - a `TrustAnchor` describing the CA that served as a trust anchor for the certification path
    `policyTree` - the immutable valid policy tree, or `null` if there are no valid policies
    `subjectPublicKey` - the public key of the subject
  Throws:
    `java.lang.NullPointerException` - if the `subjectPublicKey` or `trustAnchor` parameters are `null`

Method Detail

### getTrustAnchor

    public TrustAnchor getTrustAnchor()

  Returns the `TrustAnchor` describing the CA that served as a trust anchor for the certification path.
  Returns:
    the `TrustAnchor` (never `null`)

### getPolicyTree

    public PolicyNode getPolicyTree()

  Returns the root node of the valid policy tree resulting from the PKIX certification path validation algorithm. The `PolicyNode` object that is returned and any objects that it returns through public methods are immutable.
  Most applications will not need to examine the valid policy tree. They can achieve their policy processing goals by setting the policy-related parameters in `PKIXParameters`. However, more sophisticated applications, especially those that process policy qualifiers, may need to traverse the valid policy tree using the `PolicyNode.getParent` and `PolicyNode.getChildren` methods.
  Returns:
    the root node of the valid policy tree, or `null` if there are no valid policies

### getPublicKey

    public java.security.PublicKey getPublicKey()

  Returns the public key of the subject (target) of the certification path, including any inherited public key parameters if applicable.
  Returns:
    the public key of the subject (never `null`)

### clone

    public java.lang.Object clone()

  Returns a copy of this object.
  Specified by:
    `clone` in interface `CertPathValidatorResult`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    the copy

### toString

    public java.lang.String toString()

  Return a printable representation of this `PKIXCertPathValidatorResult`.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a `String` describing the contents of this `PKIXCertPathValidatorResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD